Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.inmemory
Class InMemoryInvokerBeanMgr

    java.lang.Object
      org.apache.sandesha2.storage.inmemory.InMemoryInvokerBeanMgr

All Implemented Interfaces:
  InvokerBeanMgr, RMBeanManager

    public class InMemoryInvokerBeanMgr

extends java.lang.Object
implements InvokerBeanMgr

Field Summary
`protected InMemoryStorageManager` | `mgr`
`protected java.util.concurrent.ConcurrentHashMap<java.lang.String,T>` | `table`

Constructor Summary
`InMemoryInvokerBeanMgr(InMemoryStorageManager mgr, org.apache.axis2.context.AbstractContext context)`

Method Summary
`protected T` | `delete(java.lang.Object key)`
`boolean` | `delete(java.lang.String key)`
`java.util.List<InvokerBean>` | `find(InvokerBean bean)`
`protected java.util.List<T>` | `findNoLock(T matchInfo)`
`InvokerBean` | `findUnique(InvokerBean bean)`
`protected T` | `findUniqueNoLock(RMBean matchInfo)`
`boolean` | `insert(InvokerBean bean)`
`protected boolean` | `insert(java.lang.String key, T bean)`
`protected T` | `retrieve(java.lang.Object key)`
`InvokerBean` | `retrieve(java.lang.String key)`
`boolean` | `update(InvokerBean bean)`
`protected boolean` | `update(java.lang.String key, T bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected java.util.concurrent.ConcurrentHashMap<java.lang.String,T extends RMBean> table

### mgr

    protected InMemoryStorageManager mgr

Constructor Detail

### InMemoryInvokerBeanMgr

    public InMemoryInvokerBeanMgr(InMemoryStorageManager mgr,
                                  org.apache.axis2.context.AbstractContext context)

Method Detail

### insert

    public boolean insert(InvokerBean bean)
                   throws SandeshaStorageException

  Specified by:
    `insert` in interface `InvokerBeanMgr`
  Throws:
    `SandeshaStorageException`

### delete

    public boolean delete(java.lang.String key)
                   throws SandeshaStorageException

  Specified by:
    `delete` in interface `InvokerBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieve

    public InvokerBean retrieve(java.lang.String key)
                         throws SandeshaStorageException

  Specified by:
    `retrieve` in interface `InvokerBeanMgr`
  Throws:
    `SandeshaStorageException`

### find

    public java.util.List<InvokerBean> find(InvokerBean bean)
                                     throws SandeshaStorageException

  Specified by:
    `find` in interface `InvokerBeanMgr`
  Throws:
    `SandeshaStorageException`

### update

    public boolean update(InvokerBean bean)
                   throws SandeshaStorageException

  Specified by:
    `update` in interface `InvokerBeanMgr`
  Throws:
    `SandeshaStorageException`

### findUnique

    public InvokerBean findUnique(InvokerBean bean)
                           throws SandeshaStorageException

  Specified by:
    `findUnique` in interface `InvokerBeanMgr`
  Throws:
    `SandeshaStorageException`

### insert

    protected boolean insert(java.lang.String key,
                             T bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### delete

    protected T delete(java.lang.Object key)
                               throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    protected T retrieve(java.lang.Object key)
                                 throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    protected boolean update(java.lang.String key,
                             T bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findNoLock

    protected java.util.List<T> findNoLock(T matchInfo)
                                                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUniqueNoLock

    protected T findUniqueNoLock(RMBean matchInfo)
                                         throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.